{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!--Arquivos Javascript remoto-->
  <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.3.1.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/dataTables.buttons.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.html5.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/plug-ins/1.10.20/sorting/datetime-moment.js"></script>
  <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/buttons/1.6.1/js/buttons.colVis.min.js"></script>

  <!--Arquivos CSS remotos-->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/jquery.dataTables.min.css">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.6.1/css/buttons.dataTables.min.css">

  <!--Arquivos CSS locais-->
  <link rel='stylesheet' type='text/css' href="{% static 'css/topnav_copy.css' %}">
  <link rel='stylesheet' type='text/css' href="{% static 'css/post_list.css' %}">

</head>

<body>
  <!--Menu superior-->
  
  <ul class="topnav">
    <li>
      <img src="{% static 'img/logo.jpeg' %}" style="width:70%" >   
      <br> 
      Trippin
    </li>
    <div style="margin-left: 220px; margin-right: 150px;">
    <li class="active"><a href="{% url 'init_page' %}">Pagina inicial</a></li>
    <li class="active"><a href="{% url 'page_hotel' %}">Hoteis</a></li>
    <li class="active"><a href="{% url 'page_restaurant' %}">Restaurantes</a></li>
    <li class="active"><a href="{% url 'page_attractions' %}">Atrações</a></li>
    <li class="active"><a href="{% url 'human_user' %}">Perfil</a></li>
    <li class="active"><a href="{% url 'trippin_post' %}">Postar</a></li>
    <li class="active"><a href="{% url 'post_list' %}">Timeline</a></li>
    </div>
    {% if request.user %}
    <li class="logout"><a href="{% url 'logout' %}">Logout</a></li>
    {% endif%}
  </ul>
  <br>
  <br>
{%block title%} <h2>Detalhes do Post</h2> {% endblock %}

{% block content %}
<div class="detail_card">
    <div class="detail_image">
        <img src="{{post.image.url }}" alt="">
    </div>
    <div class="post_detail_info">
        <div class="card_header">
            <div class="profile_image">
                
            </div>
            <div class="post_info">
                <div class="post_name"><a href="">{{ post.author }}</a></div>
                <div class="post_location">Location</div>
            </div>
            <div class="post_options"><a href=""><i class="fas fa-ellipsis-h"></i></a></div>
        </div>
        <!-- <ul>
            <li class="side_header">
                <div>
                </div>
            </li>
        </ul> -->
        <div class="detail_bottom">
            <div class="engagement">
                <a href="{% url 'like_toggle' post.id %}"><i class="fas fa-heart"></i></a>
                <a href="{% url 'post_detail' post.id %}"><i class="far fa-comment"></i></a>
                <a href=""><i class="far fa-share-square"></i></a>
                <a href="" class="fa-bookmarks"><i class="far fa-bookmark"></i></a>
            </div>
            <div class="likes">
                <a href="#">{{ post.likes.count }} likes</a>
            </div>
            <div class="time_posted">
                {{post.created_date | timesince}} ago
            </div>
            <!--<div class="new_comment_section">
                <form action="">
                    <textarea name="" id="" class="text_comment_area" placeholder="Add a comment..." cols="30" rows="10"></textarea>
                    
                    <button type="submit">Post</button>
                </form>
            </div>-->
            {% if new_comment %}
            <h2>Your comment has been added.</h2>
            {% else %}
            <h2>Add a new comment</h2>
            <form action="." method="post">
            {{ comment_form.as_p }}
            {% csrf_token %}
            <p><input type="submit" value="Add comment" href="#"></p>
            </form>
            {% endif %}
            {% for comment in comments %}
            <div class="comment">
                <p class="info">
                    Comment {{ forloop.counter }} by {{ comment.author }}
                    {{ comment.created_date }}
                </p>
                {{ comment.text|linebreaks }}
            </div>
            {% empty %}
                <p>There are no comments yet.</p>
            {% endfor %}
        </div>
    </div>
</div>
<!-- <h2>{{ post.author }}</h2>
<img src="{{ post.image.url }}" alt="" height="800px" width="800px" >
<p>{{ post.caption }}</p>
<p>{{ post.likes.count }} likes</p> -->
{% endblock %}
<style>
    .comment {
    margin: 20px 0px 20px 20px;
}

img {
    display: block;
    margin-left: 0;
    margin-right: -430px;
    border-right: -10px;
    padding: 0 0;
    max-width: 500px;
  }

    .conteudo-2-1 {
        float:left;
        width: 20%;
        margin-left: 3em
    
    }
    .conteudo-2-2 {
        float:right;
        width:70%;
    }
    
    
     .topnav
    {
      overflow: hidden;
      background-color: #B4B4B7;
      list-style-type: none;
      margin: 0 0;
      padding: 0 0;
    }
    
    .topnav li {
      float: left;
    }
    
    .topnav a
    {
      display: block;
      color: #ffffff;
      text-align: center;
      padding: 14px 10px;
      text-decoration: none;
      font-size: 16px;
    }
    
    .topnav a:hover
    {
      background-color: #373ca0;
      color: #ffffff;
    }
    
    .topnav li.active
    {
      background-color: #a1c1d3;
      color: #ffffff;
      margin: 0 25px;
      border-radius: 10px;
      text-align: left;
    }
    
    .topnav li.logout
    {
      background-color: #373ca0;
      color: white;
      float: right;
    }
    

    
    </style>